import { request } from '/@/utils/service';
import { UserPageQuery, AddReq, DelReq, EditReq, InfoReq } from '@fast-crud/fast-crud';
import { Session } from '/@/utils/storage';

export const apiPrefix = '/api/platform/agreements/';
export function GetList(query: UserPageQuery) {
	return request({
		url: apiPrefix,
		method: 'get',
		params: {...query,tenant_id:Session.get('tenant_id')},
	});
}
export function GetObj(id: InfoReq) {
	return request({
		url: apiPrefix + id,
		method: 'get',
	});
}

export function AddObj(obj: AddReq) {
	return request({
		url: apiPrefix,
		method: 'post',
		data: {...obj,tenant_id:Session.get('tenant_id')},
	});
}

export function UpdateObj(obj: EditReq) {
	return request({
		url: apiPrefix + obj.id + '/',
		method: 'put',
		data: {...obj,tenant_id:Session.get('tenant_id')},
	});
}

export function DelObj(id: DelReq) {
	return request({
		url: apiPrefix + id + '/',
		method: 'delete',
		data: { id,tenant_id:Session.get('tenant_id')},
	});
}

/*  */
export function GetObjByPath(id: number) {
	return request({
		url:`/api/public/agreements/${id}/`,
		method: 'get',
	});
}